Etherpad

From FedoraProject

(Difference between revisions)
Jump to: navigation, search
m (Libraries bundled in Etherpad)
(Libraries bundled in Etherpad)
Line 10: Line 10:
  
 
{|
 
{|
! file name !! fedora package
+
! file name !! fedora package !! status
 
|-
 
|-
| dnsjava-2.0.6.jar || dnsjava
+
| dnsjava-2.0.6.jar || dnsjava || works
 
|-
 
|-
| jbcrypt-0.2.jar || [http://www.mindrot.org/projects/jBCrypt/ source]
+
| jbcrypt-0.2.jar || [http://www.mindrot.org/projects/jBCrypt/ source] || needs upload
 
|-
 
|-
| jcommon-1.0.15.jar || jcommon
+
| jcommon-1.0.15.jar || jcommon || works
 
|-
 
|-
| jfreechart-1.0.12.jar || jfreechart
+
| jfreechart-1.0.12.jar || jfreechart || works
 
|-
 
|-
 
|}
 
|}
Line 25: Line 25:
  
 
{|
 
{|
! file name !! fedora package
+
! file name !! fedora package !! status
 
|-
 
|-
| activation.jar || classpathx-jaf
+
| activation.jar || classpathx-jaf || works
 
|-
 
|-
| c3p0-0.9.1.2.jar || [https://bugzilla.redhat.com/show_bug.cgi?id=252054 review] (new package needed)
+
| c3p0-0.9.1.2.jar || [https://bugzilla.redhat.com/show_bug.cgi?id=252054 review] (new package needed) || needs packaging
 
|-
 
|-
| commons-lang-2.4.jar || jakarta-commons-lang
+
| commons-lang-2.4.jar || jakarta-commons-lang || works
 
|-
 
|-
| derby-10.5.1.1.jar || [https://bugzilla.redhat.com/show_bug.cgi?id=532520 review]
+
| derby-10.5.1.1.jar || [https://bugzilla.redhat.com/show_bug.cgi?id=532520 review] || needs review
 
|-
 
|-
| derbytools.jar || [https://bugzilla.redhat.com/show_bug.cgi?id=532520 review]
+
| derbytools.jar || [https://bugzilla.redhat.com/show_bug.cgi?id=532520 review] || needs review
 
|-
 
|-
| dnsjava-2.0.6.jar || dnsjava
+
| dnsjava-2.0.6.jar || dnsjava || works
 
|-
 
|-
| jetty-6.1.20.jar || jetty
+
| jetty-6.1.20.jar || jetty || works
 
|-
 
|-
| jetty-sslengine-6.1.20.jar || jetty
+
| jetty-sslengine-6.1.20.jar || jetty || works
 
|-
 
|-
| jetty-util-6.1.20.jar || jetty
+
| jetty-util-6.1.20.jar || jetty || works
 
|-
 
|-
| json.jar || json
+
| json.jar || json || breaks build
 
|-
 
|-
| mail.jar || javamail
+
| mail.jar || javamail || works
 
|-
 
|-
| rhino-js-1.7r1.jar || rhino
+
| rhino-js-1.7r1.jar || rhino || breaks build
 
|-
 
|-
| sanselan-0.94aj.jar || [http://incubator.apache.org/projects/sanselan.html source] (missing ''maven2-plugin-release'')
+
| sanselan-0.94aj.jar || [http://incubator.apache.org/projects/sanselan.html source] (missing ''maven2-plugin-release'') || needs packaging
 
|-
 
|-
| servlet-api-2.5-20081211.jar || tomcat6-servlet-2.5-api
+
| servlet-api-2.5-20081211.jar || tomcat6-servlet-2.5-api || works
 
|-
 
|-
| tagsoup-1.2.jar || tagsoup
+
| tagsoup-1.2.jar || tagsoup || works
 
|-
 
|-
| yuicompressor-2.4-appjet.jar || [http://developer.yahoo.com/yui/compressor/ source] (fails to compile with ''rhino'' package)
+
| yuicompressor-2.4-appjet.jar || [http://developer.yahoo.com/yui/compressor/ source] (fails to compile with ''rhino'' package) || needs packaging
 
|}
 
|}

Revision as of 12:47, 12 May 2010

Packaging Etherpad

There's a not really guidelines compliant version alive here: http://sdz.fedorapeople.org/etherpad/

Etherpad bundles a good chunk of libraries. Some of them are already packaging in Fedora, some aren't.

Libraries bundled in Etherpad

in etherpad/lib

file name fedora package status
dnsjava-2.0.6.jar dnsjava works
jbcrypt-0.2.jar source needs upload
jcommon-1.0.15.jar jcommon works
jfreechart-1.0.12.jar jfreechart works

in infrastructure/lib

file name fedora package status
activation.jar classpathx-jaf works
c3p0-0.9.1.2.jar review (new package needed) needs packaging
commons-lang-2.4.jar jakarta-commons-lang works
derby-10.5.1.1.jar review needs review
derbytools.jar review needs review
dnsjava-2.0.6.jar dnsjava works
jetty-6.1.20.jar jetty works
jetty-sslengine-6.1.20.jar jetty works
jetty-util-6.1.20.jar jetty works
json.jar json breaks build
mail.jar javamail works
rhino-js-1.7r1.jar rhino breaks build
sanselan-0.94aj.jar source (missing maven2-plugin-release) needs packaging
servlet-api-2.5-20081211.jar tomcat6-servlet-2.5-api works
tagsoup-1.2.jar tagsoup works
yuicompressor-2.4-appjet.jar source (fails to compile with rhino package) needs packaging